Upstream information

CVE-2006-1017 at MITRE

Description

The c-client library 2000, 2001, or 2004 for PHP before 4.4.4 and 5.x before 5.1.5 do not check the (1) safe_mode or (2) open_basedir functions, and when used in applications that accept user-controlled input for the mailbox argument to the imap_open function, allow remote attackers to obtain access to an IMAP stream data structure and conduct unauthorized IMAP actions.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 154317 [RESOLVED / FIXED], 279863 [RESOLVED / DUPLICATE]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • >=
Patchnames:
openSUSE-Tumbleweed-2024:11167
openSUSE-Tumbleweed-2024:11169


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 php5 Affected
SUSE Linux Enterprise High Performance Computing 12 php7 Affected
SUSE Linux Enterprise High Performance Computing 12 php72 Affected
SUSE Linux Enterprise High Performance Computing 12 php74 Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 php8 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php72 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php74 Affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP5 php8 Already fixed
SUSE Linux Enterprise Server 12 SP5 php5 Affected
SUSE Linux Enterprise Server 12 SP5 php7 Affected
SUSE Linux Enterprise Server 12 SP5 php72 Affected
SUSE Linux Enterprise Server 12 SP5 php74 Affected
SUSE Linux Enterprise Server 15 SP5 php8 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 php8 Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP5 php72 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP5 php74 Affected
SUSE Manager Proxy 4.3 php8 Already fixed
SUSE Manager Retail Branch Server 4.3 php8 Already fixed
SUSE Manager Server 4.3 php8 Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP4 php8 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS php8 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS php8 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP4 php8 Already fixed
SUSE Linux Enterprise Server 15 SP4 php8 Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS php8 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 php8 Already fixed
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 12 php5 Unsupported
SUSE Linux Enterprise Desktop 12 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP1 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP1 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP2 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP2 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 php72 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php72 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php74 Affected
SUSE Linux Enterprise Server 12 php5 Affected
SUSE Linux Enterprise Server 12 php7 Affected
SUSE Linux Enterprise Server 12 php72 Affected
SUSE Linux Enterprise Server 12 php74 Affected
SUSE Linux Enterprise Server 12 SP1 php5 Unsupported
SUSE Linux Enterprise Server 12 SP1 php7 Unsupported
SUSE Linux Enterprise Server 12 SP2 php5 Unsupported
SUSE Linux Enterprise Server 12 SP2 php7 Unsupported
SUSE Linux Enterprise Server 12 SP3 php5 Affected
SUSE Linux Enterprise Server 12 SP3 php7 Affected
SUSE Linux Enterprise Server 12 SP3 php72 Affected
SUSE Linux Enterprise Server 12 SP3 php74 Affected
SUSE Linux Enterprise Server 12 SP4 php5 Affected
SUSE Linux Enterprise Server 12 SP4 php7 Affected
SUSE Linux Enterprise Server 12 SP4 php72 Affected
SUSE Linux Enterprise Server 12 SP4 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 php5 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 php7 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 php5 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 php7 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php74 Affected
SUSE Linux Enterprise Software Development Kit 12 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP2 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP2 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 php72 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php72 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php74 Affected
Container Status
bci/php
bci/php-apache
bci/php-apache:8
bci/php-fpm
bci/php-fpm:8
bci/php:8
php8Already fixed


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 01:49:13 2013
CVE page last modified: Sat Jun 15 17:35:33 2024